Subject: Review: _The Merro Tree_ by Katie Waitman

From: Mysterious Galaxy <[email-masked]>
Date: 06 Oct 1997 11:22:48 -0400

The Merro Tree by Katie Waitman
		Review Copyright 1997 Maryelizabeth Hart

In The Merro Tree, the first human doesn't appear until about 1/3 of the
way through the story. The main character, Mikk, is humanoid, but
different in subtle ways. He is an incredibly sensitive individual, who
can sense the slightest nuance of color, sound, etc. This makes it a
struggle to survive his childhood, but eventually makes him the greatest
performance master in the galaxy. Mikk and a variety of colorful
supporting characters are rendered very likeably, while remaining alien.
Waitman has a touch of Jo Clayton's ability to immerse readers in alien
cultures.

--Maryelizabeth Hart

%P Del Rey PBO
%O $5.99.